PDA

View Full Version : beware SOC6 python update



bmwiedemann
23-Mar-2017, 16:05
Hi,

if you are running SOC6 aka SUSE OpenStack Cloud 6
make sure to not install python-2.7.13-27.1 yet because we just found it causes problems with neutron server processes no more starting.
A fixed version will be coming soon.

if you already installed it, and maybe even got broken network from openvswitch, the workaround is to do
ovs-vsctl del-fail-mode br-fixed
ovs-vsctl del-fail-mode br-public
zypper in -f python-base-2.7.9-24.2 python-2.7.9-24.2

and allow it to downgrade some more packages

A controller node reboot is the easiest way to get all required services started again in the right order.

Ciao
Bernhard M.

bmwiedemann
24-Mar-2017, 17:13
there is now an update for python-kombu-3.0.30-3.1 and python-amqp-1.4.8-3.1 available that work with the updated python.
so => Solved